#include <bits/stdc++.h>

using namespace std;

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    char c1, c2;
    int a1, a2;
    cin >> c1 >> c2 >> a1 >> a2;

    if(a1 < a2) {
        swap(a1, a2);
        swap(c1, c2);
    }

    if(a1 - a2 > 1) {
        cout << "nemoguce" << endl;
        return 0;
    }

    for(int i = 0; i < a1 + a2; i++) {
        if(i % 2)
            cout << c2;
        else
            cout << c1;
    }
    cout << endl;
    return 0;
}